import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);
export default new Router({
  mode: 'history',
  base: process.env.NODE_ENV === 'development' ? '' : 'liveadmin',
  routes: [
    {
      path: '/',
      redirect: '/homeIndex',
    },
    {
      path: '/',
      component: () => import('../components/common/Home.vue'),
      meta: { title: '自述文件' },
      children: [
        {
          path: '/homeIndex',
          component: () => import('../views/homeIndex.vue'),
          meta: { title: '系统首页' },
        },
        // 菜单管理
        {
          path: '/menu',
          component: () => import('../views/menu/index.vue'),
          meta: { title: '菜单管理' },
        },
        // 审核申请书
        {
          path: '/adminExamine',
          component: () => import('../views/adminExamine/index.vue'),
          meta: { title: '审核申请书' },
        },
        {
          path: '/adminExamine/detail',
          component: () => import('../views/adminExamine/detail.vue'),
          meta: { title: '资料审核' },
        },
        // 专家评分
        {
          path: '/adminScore',
          component: () => import('../views/adminScore/index.vue'),
          meta: { title: '专家评分' },
        },
        {
          path: '/adminScore/detail',
          component: () => import('../views/adminScore/detail.vue'),
          meta: { title: '专家评分查看' },
        },
        // 专家会审
        {
          path: '/adminMeet',
          component: () => import('../views/adminMeet/index.vue'),
          meta: { title: '专家会审' },
        },
        {
          path: '/adminMeet/detail',
          component: () => import('../views/adminMeet/detail.vue'),
          meta: { title: '专家会审记录' },
        },
        // 完善资料
        {
          path: '/adminPerfect',
          component: () => import('../views/adminPerfect/index.vue'),
          meta: { title: '完善资料' },
        },
        // 证书发放
        {
          path: '/adminCate',
          component: () => import('../views/adminCate/index.vue'),
          meta: { title: '证书发放' },
        },
      ],
    },
    {
      path: '/login',
      component: () => import('../views/Login.vue'),
      meta: { title: '登录' },
    },
    {
      path: '*',
      redirect: '/404',
    },
  ],
});
